# PhasicFlow: multiGridMapping< executionSpace > Class Template Reference

multiGridMapping< executionSpace > Class Template Reference

## Public Types

using | CellsWallLevelType = cellsWallLevels< executionSpace >
using | IdType = typename CellsWallLevelType::IdType
using | IndexType = typename CellsWallLevelType::IndexType
using | Cells = typename CellsWallLevelType::Cells
using | CellType = typename Cells::CellType
using | execution_space = typename CellsWallLevelType::execution_space
using | memory_space = typename CellsWallLevelType::memory_space
using | iBoxType = iBox< IndexType >

## Public Member Functions

| TypeInfoNV ("multiGridMapping")
| multiGridMapping (const dictionary &dict, int32 numLevels, const Vector< Cells > &ppCells, int32 numPoints, int32 numElements, const ViewType1D< realx3, memory_space > &points, const ViewType1D< int32x3, memory_space > &vertices)
bool | enterBoadSearch () const
bool | performedSearch () const
template<typename PairsContainer , typename particleMapType >
bool | broadSearch (PairsContainer &pairs, particleMapType &particleMap, bool force=false)

## Protected Attributes

int32 | updateFrequency_ =1
real | cellExtent_
int32 | currentIter_ = 0
bool | performedSearch_ = false
| a broad search has been occured during last pass? More...
CellsWallLevelType | cellsWallLevle_

## Private Member Functions

bool | performSearch ()

## Detailed Description

### template<typename executionSpace>
class pFlow::multiGridMapping< executionSpace >

Definition at line 34 of file multiGridMapping.hpp.

## Member Typedef Documentation

## CellsWallLevelType

using CellsWallLevelType = cellsWallLevels<executionSpace>

Definition at line 38 of file multiGridMapping.hpp.

## IdType

using IdType = typename CellsWallLevelType::IdType

Definition at line 40 of file multiGridMapping.hpp.

## IndexType

using IndexType = typename CellsWallLevelType::IndexType

Definition at line 42 of file multiGridMapping.hpp.

## Cells

using Cells = typename CellsWallLevelType::Cells

Definition at line 44 of file multiGridMapping.hpp.

## CellType

using CellType = typename Cells::CellType

Definition at line 46 of file multiGridMapping.hpp.

## execution_space

using execution_space = typename CellsWallLevelType::execution_space

Definition at line 48 of file multiGridMapping.hpp.

## memory_space

using memory_space = typename CellsWallLevelType::memory_space

Definition at line 50 of file multiGridMapping.hpp.

## iBoxType

using iBoxType = iBox<IndexType>

Definition at line 52 of file multiGridMapping.hpp.

## Constructor & Destructor Documentation

## multiGridMapping()

multiGridMapping | ( | const dictionary & | dict,
|  | int32 | numLevels,
|  | const Vector< Cells > & | ppCells,
|  | int32 | numPoints,
|  | int32 | numElements,
|  | const ViewType1D< realx3, memory_space > & | points,
|  | const ViewType1D< int32x3, memory_space > & | vertices
| ) |  |

inline

Definition at line 89 of file multiGridMapping.hpp.

References endREPORT, REPORT, and yellowText.

## Member Function Documentation

## performSearch()

bool performSearch | ( |  | ) |

inlineprivate

Definition at line 71 of file multiGridMapping.hpp.

References multiGridMapping< executionSpace >::currentIter_, and multiGridMapping< executionSpace >::updateFrequency_.

Referenced by multiGridMapping< executionSpace >::broadSearch().

Here is the caller graph for this function:

## TypeInfoNV()

TypeInfoNV | ( | "multiGridMapping< executionSpace >" |  | ) |

## enterBoadSearch()

bool enterBoadSearch | ( |  | ) | const

inline

Definition at line 123 of file multiGridMapping.hpp.

References multiGridMapping< executionSpace >::currentIter_, and multiGridMapping< executionSpace >::updateFrequency_.

## performedSearch()

bool performedSearch | ( |  | ) | const

inline

Definition at line 128 of file multiGridMapping.hpp.

References multiGridMapping< executionSpace >::performedSearch_.

## broadSearch()

bool broadSearch | ( | PairsContainer & | pairs,
|  | particleMapType & | particleMap,
|  | bool | force = `false`
| ) |  |

inline

Definition at line 134 of file multiGridMapping.hpp.

References cellsWallLevels< executionSpace >::broadSearch(), multiGridMapping< executionSpace >::cellsWallLevle_, multiGridMapping< executionSpace >::currentIter_, multiGridMapping< executionSpace >::performedSearch_, and multiGridMapping< executionSpace >::performSearch().

Here is the call graph for this function:

## Member Data Documentation

## updateFrequency_

int32 updateFrequency_ =1

protected

Definition at line 58 of file multiGridMapping.hpp.

Referenced by multiGridMapping< executionSpace >::enterBoadSearch(), and multiGridMapping< executionSpace >::performSearch().

## cellExtent_

real cellExtent_

protected

Definition at line 60 of file multiGridMapping.hpp.

## currentIter_

int32 currentIter_ = 0

protected

Definition at line 62 of file multiGridMapping.hpp.

Referenced by multiGridMapping< executionSpace >::broadSearch(), multiGridMapping< executionSpace >::enterBoadSearch(), and multiGridMapping< executionSpace >::performSearch().

## performedSearch_

bool performedSearch_ = false

protected

a broad search has been occured during last pass?

Definition at line 65 of file multiGridMapping.hpp.

Referenced by multiGridMapping< executionSpace >::broadSearch(), and multiGridMapping< executionSpace >::performedSearch().

## cellsWallLevle_

CellsWallLevelType cellsWallLevle_

protected

Definition at line 67 of file multiGridMapping.hpp.

Referenced by multiGridMapping< executionSpace >::broadSearch().

The documentation for this class was generated from the following file:

- src/Interaction/contactSearch/wallMappings/multiGridMapping.hpp